<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/magset.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>magset.c File Reference</h1><code>#include &quot;<a class="el" href="init_8h_source.html">init.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="magpario_8h_source.html">io/magpario.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for magset.c:</div>
<div class="dynsection">
<div class="center"><img src="magset_8c__incl.png" border="0" usemap="#init_2magset_8c_map" alt=""/></div>
<map name="init_2magset_8c_map" id="init_2magset_8c">
<area shape="rect" id="node3" href="init_8h.html" title="init.h" alt="" coords="77,86,128,117"/><area shape="rect" id="node15" href="magpario_8h.html" title="io/magpario.h" alt="" coords="152,86,251,117"/><area shape="rect" id="node18" href="util_8h.html" title="util/util.h" alt="" coords="275,86,344,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="magset_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="magset_8c.html#a8fd02adfde9e3d9ac120c87dee020678">MagSet</a> (int pid, int init_mag, PetscReal init_magparm, <a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a8fd02adfde9e3d9ac120c87dee020678"></a><!-- doxytag: member="magset.c::MagSet" ref="a8fd02adfde9e3d9ac120c87dee020678" args="(int pid, int init_mag, PetscReal init_magparm, GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int MagSet </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>pid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>init_mag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal&nbsp;</td>
          <td class="paramname"> <em>init_magparm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="magset_8c_source.html#l00031">31</a> of file <a class="el" href="magset_8c_source.html">magset.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00128">my_dnrm2</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="readinp_8c_source.html#l00031">ReadINP()</a>, <a class="el" href="renormvec_8c_source.html#l00029">RenormVec()</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, <a class="el" href="griddata_8h_source.html#l00182">GridData::vertprop</a>, <a class="el" href="vertprop_8c_source.html#l00029">VertProp()</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="maginit_8c_source.html#l00029">MagInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magset_8c_a8fd02adfde9e3d9ac120c87dee020678_cgraph.png" border="0" usemap="#magset_8c_a8fd02adfde9e3d9ac120c87dee020678_cgraph_map" alt=""></div>
<map name="magset_8c_a8fd02adfde9e3d9ac120c87dee020678_cgraph_map" id="magset_8c_a8fd02adfde9e3d9ac120c87dee020678_cgraph">
<area shape="rect" id="node3" href="magpario_8h.html#ac48e244b5ec28e4a0d8a7ce8596bbe76" title="ReadINP" alt="" coords="128,5,203,35"/><area shape="rect" id="node5" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="121,58,209,89"/><area shape="rect" id="node7" href="init_8h.html#a031e1284b34dfcb64f029f9bd16545ce" title="VertProp" alt="" coords="129,111,201,142"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="magset_8c_a8fd02adfde9e3d9ac120c87dee020678_icgraph.png" border="0" usemap="#magset_8c_a8fd02adfde9e3d9ac120c87dee020678_icgraph_map" alt=""></div>
<map name="magset_8c_a8fd02adfde9e3d9ac120c87dee020678_icgraph_map" id="magset_8c_a8fd02adfde9e3d9ac120c87dee020678_icgraph">
<area shape="rect" id="node3" href="maginit_8c.html#accaf6541cd8225c7be69bdf5f6ac44d5" title="MagInit" alt="" coords="121,5,185,35"/><area shape="rect" id="node5" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="236,5,295,35"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="344,5,395,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

